Alembic: Alembic::Abc::ALEMBIC_VERSION_NS::OSchema< INFO > Class Template Reference

Alembic 1.8.11

Loading...
Searching...
No Matches
Alembic::Abc::ALEMBIC_VERSION_NS::OSchema< INFO > Class Template Reference

`#include <OSchema.h>`

Inheritance diagram for Alembic::Abc::ALEMBIC_VERSION_NS::OSchema< INFO >:

## Public Types
typedef INFO | info_type
typedef OSchema< INFO > | this_type
Public Types inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OCompoundProperty
typedef OCompoundProperty | this_type
Public Types inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OBasePropertyT< AbcA::CompoundPropertyWriterPtr >
typedef OBasePropertyT< AbcA::CompoundPropertyWriterPtr > | this_type
typedef OBasePropertyT< AbcA::CompoundPropertyWriterPtr > | operator_bool_base_type

## Public Member Functions
| OSchema ()
| OSchema (AbcA::CompoundPropertyWriterPtr iParent, const std::string &iName, const Argument &iArg0=Argument(), const Argument &iArg1=Argument(), const Argument &iArg2=Argument(), const Argument &iArg3=Argument())
| OSchema (OCompoundProperty iParent, const std::string &iName, const Argument &iArg0=Argument(), const Argument &iArg1=Argument(), const Argument &iArg2=Argument())
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OCompoundProperty
| OCompoundProperty ()
| OCompoundProperty (AbcA::CompoundPropertyWriterPtr iParent, const std::string &iName, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| OCompoundProperty (OCompoundProperty iParent, const std::string &iName, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| OCompoundProperty (AbcA::CompoundPropertyWriterPtr iProp, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| OCompoundProperty (AbcA::CompoundPropertyWriterPtr iProp, WrapExistingFlag iWrapFlag=kWrapExisting, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| OCompoundProperty (OObject iObject, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| OCompoundProperty (OObject iObject, TopFlag iTopFlag=kTop, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| ~OCompoundProperty ()
size_t | getNumProperties () const
const AbcA::PropertyHeader & | getPropertyHeader (size_t i) const
const AbcA::PropertyHeader * | getPropertyHeader (const std::string &iName) const
OBaseProperty | getProperty (size_t i) const
OBaseProperty | getProperty (const std::string &iName) const
OCompoundProperty | getParent () const
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OBasePropertyT< AbcA::CompoundPropertyWriterPtr >
const AbcA::PropertyHeader & | getHeader () const
const std::string & | getName () const
AbcA::PropertyType | getPropertyType () const
bool | isScalar () const
bool | isArray () const
bool | isCompound () const
bool | isSimple () const
const AbcA::MetaData & | getMetaData () const
const AbcA::DataType & | getDataType () const
AbcA::TimeSamplingPtr | getTimeSampling () const
OObject | getObject () const
AbcA::CompoundPropertyWriterPtr | getPtr () const
void | reset ()
bool | valid () const
| ALEMBIC_OPERATOR_BOOL (valid())
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::Base
ErrorHandler & | getErrorHandler () const
ErrorHandler::Policy | getErrorHandlerPolicy () const

## Static Public Member Functions
static const char * | getSchemaTitle ()
static const char * | getSchemaBaseType ()
static const char * | getDefaultSchemaName ()
static bool | replaceOnSparse ()
static bool | matches (const AbcA::MetaData &iMetaData, SchemaInterpMatching iMatching=kStrictMatching)
static bool | matches (const AbcA::PropertyHeader &iHeader, SchemaInterpMatching iMatching=kStrictMatching)

## Additional Inherited Members
Protected Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OBasePropertyT< AbcA::CompoundPropertyWriterPtr >
| OBasePropertyT ()
Protected Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::Base
| Base (ErrorHandler::Policy iPolicy)
| Base (const Base &iCopy)
Base & | operator= (const Base &iCopy)
bool | valid () const
void | reset ()
Protected Attributes inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OBasePropertyT< AbcA::CompoundPropertyWriterPtr >
AbcA::CompoundPropertyWriterPtr | m_property

## Detailed Description

template<class INFO>
class Alembic::Abc::ALEMBIC_VERSION_NS::OSchema< INFO >

Usually used as a base class, but could also theoretically be used as a standalone

## Constructor & Destructor Documentation

## ◆ OSchema() [1/3]

template<class INFO>

Alembic::Abc::ALEMBIC_VERSION_NS::OSchema< INFO >::OSchema | ( |  | ) |
| inline

The default constructor creates an empty OSchema function set.

## ◆ OSchema() [2/3]

template<class INFO>

Alembic::Abc::ALEMBIC_VERSION_NS::OSchema< INFO >::OSchema | ( | AbcA::CompoundPropertyWriterPtr | iParent,
|  | const std::string & | iName,
|  | const Argument & | iArg0 = Argument(),
|  | const Argument & | iArg1 = Argument(),
|  | const Argument & | iArg2 = Argument(),
|  | const Argument & | iArg3 = Argument() )
| inline

Creates a new Compound Property Writer with the schema information added to the metadata.

## ◆ OSchema() [3/3]

template<class INFO>

Alembic::Abc::ALEMBIC_VERSION_NS::OSchema< INFO >::OSchema | ( | OCompoundProperty | iParent,
|  | const std::string & | iName,
|  | const Argument & | iArg0 = Argument(),
|  | const Argument & | iArg1 = Argument(),
|  | const Argument & | iArg2 = Argument() )
| inline

Creates a new Compound Property Writer with the schema information added to the metadata.

## Member Function Documentation

## ◆ getDefaultSchemaName()

template<class INFO>

const char * Alembic::Abc::ALEMBIC_VERSION_NS::OSchema< INFO >::getDefaultSchemaName | ( |  | ) |
| inlinestatic

Return the default name for instances of this schema. Often something like ".geom"

## ◆ getSchemaBaseType()

template<class INFO>

const char * Alembic::Abc::ALEMBIC_VERSION_NS::OSchema< INFO >::getSchemaBaseType | ( |  | ) |
| inlinestatic

Return the schema base type expected of this property. An empty base type means it's the root type.

## ◆ getSchemaTitle()

template<class INFO>

const char * Alembic::Abc::ALEMBIC_VERSION_NS::OSchema< INFO >::getSchemaTitle | ( |  | ) |
| inlinestatic

Return the schema title expected of this property. An empty title matches everything

## ◆ matches() [1/2]

template<class INFO>

bool Alembic::Abc::ALEMBIC_VERSION_NS::OSchema< INFO >::matches | ( | const AbcA::MetaData & | iMetaData,
|  | SchemaInterpMatching | iMatching = kStrictMatching )
| inlinestatic

This will check whether or not a given entity (as represented by a metadata) strictly matches the interpretation of this schema object

## ◆ matches() [2/2]

template<class INFO>

bool Alembic::Abc::ALEMBIC_VERSION_NS::OSchema< INFO >::matches | ( | const AbcA::PropertyHeader & | iHeader,
|  | SchemaInterpMatching | iMatching = kStrictMatching )
| inlinestatic

This will check whether or not a given object (as represented by an object header) strictly matches the interpretation of this schema object, as well as the data type.

## ◆ replaceOnSparse()

template<class INFO>

bool Alembic::Abc::ALEMBIC_VERSION_NS::OSchema< INFO >::replaceOnSparse | ( |  | ) |
| inlinestatic

Returns whether this schema also sets replace in the MetaData if kSparse is passed into the args. For some schemas like xforms it doesn't make sense to sparsely override the properties, instead you want to replace everything on the schema with a whole set of new properties, or even NO properties.

The documentation for this class was generated from the following file:

- Abc/OSchema.h